Bug 1377925 (CVE-2016-8689) - CVE-2016-8689 libarchive: heap based buffer overflow in read_header (archive_read_support_format_7zip.c)
Summary: CVE-2016-8689 libarchive: heap based buffer overflow in read_header (archive_...
Status: CLOSED WONTFIX
Alias: CVE-2016-8689
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160915,reported=2...
Keywords: Security
: 1385670 (view as bug list)
Depends On: 1385676 1378668 1385674 1385675
Blocks: 1376684 1385672
TreeView+ depends on / blocked
 
Reported: 2016-09-21 03:31 UTC by Doran Moppert
Modified: 2019-06-08 21:27 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-09-23 03:21:06 UTC


Attachments (Terms of Use)

Description Doran Moppert 2016-09-21 03:31:54 UTC
A crafted 7zip archive with multiple headers of the same kind could cause 
calculated values from one being used to interpret the other, leading to
out-of-bounds reads of adjacent structures on the heap.

Disclosed on oss-security:

http://seclists.org/oss-sec/2016/q3/516

Upstream issue:

https://github.com/libarchive/libarchive/issues/761

Upstream fix:

https://github.com/libarchive/libarchive/commit/7f17c79

Comment 1 Doran Moppert 2016-09-22 03:57:55 UTC
Code execution is not possible with this flaw, and the information disclosure is limited in both size and scope.

Comment 2 Doran Moppert 2016-09-23 03:16:20 UTC
Created libarchive tracking bugs for this issue:

Affects: fedora-all [bug 1378668]

Comment 3 Doran Moppert 2016-09-23 03:19:05 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 4 Doran Moppert 2016-10-18 04:31:05 UTC
*** Bug 1385670 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.